fix: vulnerabilities of third-party dependent libraries: CVE-2019-19794 CVE-2020...
[apisix-go-plugin-runner.git] / Makefile
index 3fba8fcad6ba2f2a7335b83e9f5cd24f727ab469..321ac00770a719880864a71b17bfdd468737ae81 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -17,9 +17,9 @@
 default: help
 
 VERSION ?= latest
-RELEASE_SRC = apache-apisix-go-plugin-runner-${VERSION}-src
+RELEASE_SRC = apisix-go-plugin-runner-${VERSION}-src
 
-GITSHA ?= $(shell git rev-parse --short=7 HEAD)
+GITSHA ?= $(shell git rev-parse --short=7 HEAD 2> /dev/null || echo '')
 OSNAME ?= $(shell uname -s | tr A-Z a-z)
 OSARCH ?= $(shell uname -m | tr A-Z a-z)
 PWD ?= $(shell pwd)
@@ -35,12 +35,12 @@ GO_LDFLAGS ?= "-X '$(VERSYM)=$(VERSION)' -X '$(GITSHASYM)=$(GITSHA)' -X '$(BUILD
 .PHONY: build
 build:
        cd cmd/go-runner && \
-       go build -ldflags $(GO_LDFLAGS) && \
+       go build $(GO_BUILD_FLAGS) -ldflags $(GO_LDFLAGS) && \
        mv go-runner ../..
 
 .PHONY: lint
 lint:
-       golangci-lint run --verbose
+       golangci-lint run --verbose ./...
 
 .PHONY: test
 test:
@@ -61,8 +61,10 @@ compress-tar:
        tar -zcvf $(RELEASE_SRC).tgz \
        ./cmd \
        ./internal \
+       ./pkg \
        LICENSE \
        Makefile \
+       NOTICE \
        go.mod \
        go.sum \
        *.md